Skip to main content
POST
/
api
/
integrations
/
my-credentials
Save My Credential
curl --request POST \
  --url https://api.example.com/api/integrations/my-credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "token": "<string>",
  "username": "<string>",
  "key": "<string>"
}
'
{
  "id": "<string>",
  "provider": "<string>",
  "masked_secret": "<string>",
  "username": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
provider
enum<string>
required
Available options:
github,
huggingface,
kaggle
token
string | null
username
string | null
key
string | null

Response

Successful Response

id
string
required
provider
string
required
masked_secret
string
required
username
string | null
created_at
string | null